### Class

# Gtk CustomFilter

#### Description [src]

    final class Gtk.CustomFilter : Gtk.Filter {
      /* No available fields */
    }

`GtkCustomFilter` determines whether to include items with a callback.

#### Hierarchy

#### Ancestors

- GtkFilter
- GObject

#### Constructors

###### gtk_custom_filter_new

Creates a new filter using the given `match_func` to filter items.

#### Instance methods

###### gtk_custom_filter_set_filter_func

Sets the function used for filtering items.

##### Methods inherited from GtkFilter (3)

###### gtk_filter_changed

Notifies all users of the filter that it has changed.

###### gtk_filter_get_strictness

Gets the known strictness of `filters`.

###### gtk_filter_match

Checks if the given `item` is matched by the filter or not.

#### Class structure

    struct GtkCustomFilterClass {
      GtkFilterClass parent_class;

    }

###### Class members

`parent_class` |
    GtkFilterClass
| No description available.